<?php
	// Author: Brian N. Smith
	// Copyright 2006, NuOnce Networks, Inc. All rights reserved.
	// $Id: ssh.php,v 1.0 2006/07/15 14:35:00 Exp $

	include("ServerScriptHelper.php");

	$serverScriptHelper = new ServerScriptHelper();
	$cceClient = $serverScriptHelper->getCceClient();
	$i18n = $serverScriptHelper->getI18n("nuonce_ssh");

	if (!$serverScriptHelper->getAllowed('adminUser')) {
		header("location: /error/forbidden.html");
		return;
	}

	$factory = $serverScriptHelper->getHtmlComponentFactory("nuonce_ssh", "/nuonce/remote/sshConnect.php");

	$page = $factory->getPage();

	$block = $factory->getPagedBlock("header");
	$block->processErrors($serverScriptHelper->getErrors());
	$block->setColumnWidths(array('0',"100%"));

	$string = $i18n->interpolateHtml("[[nuonce_ssh.about]]");

	$box = $factory->getTextBlock("", $string, "r");
	$box->setHeight("20");
	$box->setWidth("80");

	$block->addFormField($box,'');

	$block->addButton($factory->getButton("/nuonce/remote/sshConnect.php", "connect"));

	// Don't ask why, but somehow with PHP5 we need to add a blank FormField or nothing shows on this page:
	$hidden_block = $factory->getTextBlock("Nothing", "");
	$hidden_block->setOptional(true);
	$block->addFormField(
	    $hidden_block,
	    $factory->getLabel("Nothing"),
	    "Hidden"
	    );

	echo $page->toHeaderHtml();
	echo $block->toHtml();
	echo $page->toFooterHtml();

	$serverScriptHelper->destructor();
?>
